Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv.xs
Class FullDVFactory

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.SchemaDVFactory
            |
            +--org.apache.xerces.impl.dv.xs.BaseDVFactory
                  |
                  +--org.apache.xerces.impl.dv.xs.FullDVFactory

public class FullDVFactory
extends BaseDVFactory

the factory to create/return built-in schema DVs and create user-defined DVs

Version:
  $Id: FullDVFactory.java,v 1.3 2003/02/17 13:47:07 sandygao Exp $
Author:
  Neeraj Bajaj, Sun Microsystems, inc., Sandy Gao, IBM

Constructor Summary
`FullDVFactory()`

Method Summary
`XSSimpleType` | `getBuiltInType(java.lang.String name)` Get a built-in simple type of the given name REVISIT: its still not decided within the Schema WG how to define the ur-types and if all simple types should be derived from a complex type, so as of now we ignore the fact that anySimpleType is derived from anyType, and pass 'null' as the base of anySimpleType.
`SymbolHash` | `getBuiltInTypes()` get all built-in simple types, which are stored in a hashtable keyed by the name

Methods inherited from class org.apache.xerces.impl.dv.xs.BaseDVFactory
`createTypeList, createTypeRestriction, createTypeUnion`

Methods inherited from class org.apache.xerces.impl.dv.SchemaDVFactory
`getInstance, getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullDVFactory

    public FullDVFactory()

Method Detail

### getBuiltInType

    public XSSimpleType getBuiltInType(java.lang.String name)

  Get a built-in simple type of the given name REVISIT: its still not decided within the Schema WG how to define the ur-types and if all simple types should be derived from a complex type, so as of now we ignore the fact that anySimpleType is derived from anyType, and pass 'null' as the base of anySimpleType. It needs to be changed as per the decision taken.
  Overrides:
    `getBuiltInType` in class `BaseDVFactory`
  Parameters:
    `name` - the name of the datatype
  Returns:
    the datatype validator of the given name

### getBuiltInTypes

    public SymbolHash getBuiltInTypes()

  get all built-in simple types, which are stored in a hashtable keyed by the name
  Overrides:
    `getBuiltInTypes` in class `BaseDVFactory`
  Returns:
    a hashtable which contains all built-in simple types

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.